Bug 1941990

Summary: Pipeline metrics endpoint changed in osp-1.4
Product: OpenShift Container Platform Reporter: Karthik Jeeyar <kjeeyar>
Component: Dev ConsoleAssignee: Karthik Jeeyar <kjeeyar>
Status: CLOSED ERRATA QA Contact: Debsmita Santra <dsantra>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.7CC: aos-bugs, dsantra, nmukherj
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
: 1943643 (view as bug list) Environment:
Last Closed: 2021-07-27 22:55:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1943643    

Description Karthik Jeeyar 2021-03-23 11:28:38 UTC
Description of problem:

Pipeline Metrics endpoint is changed its query Prefix from `tekton` to `tekton_pieplines_controller`

Version-Release number of selected component (if applicable):
OSP 1.4 Pipelines operator

How reproducible:
Always

Steps to Reproduce:
1. Install OSP1.4 Pipelines operator
2. Add pipelines through git import flow
3. Visit the Pipelines -> Metrics tabs

Actual results:
Metrics page shows empty state always

Expected results:
Metrics page should show all four available graphs.

Comment 2 Debsmita Santra 2021-03-29 15:47:03 UTC
verified on build 4.8.0-0.nightly-2021-03-26-054333

Comment 5 errata-xmlrpc 2021-07-27 22:55:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438